# Triangular weir formula

T1 caracterized by: 

* \(C_d\): discharge coefficient
* \(\alpha\): half angle at the apex of the triangle
* \(Z_d\): elevation of the tip of the triangle

## Formula

$$Q = C_d * tg \frac{\alpha}{2} \left ( Z_{am} - Z_d \right )^{2.5}$$

Thin wall weir: \(C_d\) = 1.37

Thick weir without contraction (rounded \(r > 0.1 * h1\)): \(C_d\) = 1.27

Triangular profile weir: (1/2 upstream, 1/2 or 1/5 downstream): \(C_d\) = 1.68 and 1.56
