# Historique des versions


### 4.10.2 - 2020-02-25

#### Correction de bogues
 * Correction de liens erronés vers la documentation

#### Documentation
 * Documentation : ajout de liens vers la page de téléchargement


### 4.10.1 - 2020-02-25

#### Correction de bogues
 * Electron : erreur de détection de mise à jour (comparaison chaînes semver)


### 4.10.0 - 2020-02-24 (Langue Hilare Neuve)

#### Nouvelles fonctionnalités
 * Solveur : cibler un résultat complémentaire ([nghyd#363](https://gitlab.irstea.fr/cassiopee/nghyd/issues/363), [jalhyd#188](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/188))
 * *Monkey test* sur les interfaces ([nghyd#235](https://gitlab.irstea.fr/cassiopee/nghyd/issues/235))
 * Lechapt-Calmon : ajouter un avertissement lorsque la vitesse est en dehors de l'intervalle [0.4, 2] ([jalhyd#192](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/192))
 * Rendre plus générique la gestion des listes déroulantes ([nghyd#359](https://gitlab.irstea.fr/cassiopee/nghyd/issues/359))
 * Automatiser les chemins de configuration depuis le CalculatorType ([nghyd#358](https://gitlab.irstea.fr/cassiopee/nghyd/issues/358))


#### Correction de bogues
 * Certains liens doivent être cliqués deux fois ([nghyd#364](https://gitlab.irstea.fr/cassiopee/nghyd/issues/364))
 * Solveur : interdire de travailler sur un Nub dont le résultat est varié ([jalhyd#198](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/198))
 * Paramètre varié et lien à un résultat varié simultanément ([jalhyd#199](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/199))
 * Parfois lorsqu'on charge une session, le bouton Calculer reste grisé ([nghyd#349](https://gitlab.irstea.fr/cassiopee/nghyd/issues/349))
 * PAB : parfois le type de jet est undefined ([jalhyd#196](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/196))
 * Export XLSX : retirer "help" des entêtes de colonnes ([nghyd#360](https://gitlab.irstea.fr/cassiopee/nghyd/issues/360))
 * Chargement de session : selon l'ordre des paramètres, le paramètre calculé n'est pas correctement défini


#### Documentation
 * Générer la documentation en PDF ([nghyd#348](https://gitlab.irstea.fr/cassiopee/nghyd/issues/348))


#### Mises à jour de dépendances
 * Angular 9 ([nghyd#354](https://gitlab.irstea.fr/cassiopee/nghyd/issues/354))
 * Typescript 3.7 ([jalhyd#197](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/197))
 * mise à jour de toutes les dépendances jalhyd/nghyd sauf Mermaid (provoque un bug) et Mathjax (adaptations importantes nécessaires)


### 4.9.0 - 2020-01-15 (On Fusionne Bien)

#### Nouvelles fonctionnalités
 * Nouveau module "Concentration de blocs" ([jalhyd#185](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/185))
 * Lechapt-Calmon : ajout des pertes de charge singulières ([nghyd#352](https://gitlab.irstea.fr/cassiopee/nghyd/issues/352), [jalhyd#172](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/172))
 * Simplification du code des Formulaires ([nghyd#353](https://gitlab.irstea.fr/cassiopee/nghyd/issues/353))
 * Passage de l'AFB à l'OFB : changement de logo, de nom, d'URL
 

#### Documentation
 * Documentation utilisateurs en anglais ([nghyd#321](https://gitlab.irstea.fr/cassiopee/nghyd/issues/321))
 * Réorganisation de la documentation utilisateurs ([nghyd#355](https://gitlab.irstea.fr/cassiopee/nghyd/issues/355))
 * Documentation développeurs ([nghyd#317](https://gitlab.irstea.fr/cassiopee/nghyd/issues/317))
 * Exemples de code Typescript et Javascript pour le développement d'applications en ligne de commande basées sur JaLHyd
 * Diagramme de classes simplifié de JaLHyd


#### Mises à jour de dépendances
 * Jasmine 3.5
 * Karma 4.4


### 4.8.1 - 2019-12-20

#### Nouvelles fonctionnalités
 * Dever: Ajout d'un avertissement si la cote de radier d'un ouvrage est sous la cote de fond du lit ([jalhyd#179](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/179))
 * Strickler: Ajout d'une aide contextuelle ([nghyd#332](https://gitlab.irstea.fr/cassiopee/nghyd/issues/332))
 * Grille: permettre les calculs partiels ([nghyd#336](https://gitlab.irstea.fr/cassiopee/nghyd/issues/336))
 * MacroRugo: Ajout d'avertissement sur l'adéquation taille des cellules - largeur de la rampe ([jalhyd#174](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/174))
 * Documentation lois d'ouvrages manquantes ([nghyd#342](https://gitlab.irstea.fr/cassiopee/nghyd/issues/342))
 * Champs vides à la création d'un module ([nghyd#331](https://gitlab.irstea.fr/cassiopee/nghyd/issues/331))
 * Dever: Calcul du débit corrigé en utilisant la charge dans les formules ([jalhyd#52](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/52), [nghyd#345](https://gitlab.irstea.fr/cassiopee/nghyd/issues/345))
 * Grille: Ajouter le coefficient de forme des barreaux dans les résultats complémentaires ([jalhyd#178](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/178))
 * Grille: Ajouter un profil de barreaux personnalisé ([nghyd#334](https://gitlab.irstea.fr/cassiopee/nghyd/issues/334))
 * PAB: Ajouter la position du radier des seuils sur le graphique du profil en long ([jalhyd#171](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/171))
 * Impact de jet: Modification des champs de hauteurs ([jalhyd#181](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/181))
 * Hydraulique à surface libre: ajouter un avertissement quand ça déborde ([jalhyd#180](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/180))
 * Cloisons: Ajouter le calcul de la pelle ([jalhyd#169](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/169))
 * MacroRugoCompound: radier incliné - Ajouter le calcul du dévers latéral ([jalhyd#177](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/177))
 * MacroRugo: Supprimer les débits et vitesses du guide technique ([jalhyd#177](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/177))
 * MacroRugo: Domaine de définition de Cd0 ([jalhyd#175](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/175))
 * PAB nombre: Ajout du nombre de chutes harmonisé ([jalhyd#167](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/167))
 * MacroRugoComplexe: modification du libellé des champs ([nghyd#333](https://gitlab.irstea.fr/cassiopee/nghyd/issues/333))
 * PAB: Export du tableau de géométrie au format XLSX ([jalhyd#170](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/170))
 * MacroRugo: transition douce entre régime émergent et régime submergé ([jalhyd#191](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/191))


#### Correction de bogues
 * Parfois, lorsque le débit varie, la PAB n'a pas d'eau à l'aval pour certaines valeurs de débit ([jalhyd#187](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/187))
 * Lorsqu'on vide un champ, si on change de page, au retour le champ est à nouveau rempli ([nghyd#343](https://gitlab.irstea.fr/cassiopee/nghyd/issues/343))
 * Impact de chute: Erreur de calcul de la chute nécessaire pour atteindre l'abscisse d'impact ([jalhyd#183](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/183))
 * Impact de jet: non prise en compte de l'angle ([jalhyd#182](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/182))
 * Grille: Pas d'invalidation des résultats sur le choix du profil des barreaux ([nghyd#335](https://gitlab.irstea.fr/cassiopee/nghyd/issues/335))
 * MacroRugoCompound: radier incliné - changer la répartition des cellules ([jalhyd#173](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/173))


### 4.8.0 - 2019-11-26 (Affine et forte à la fois, par amour du remous)

#### Nouvelles fonctionnalités
 * Module Fonction affine ([jalhyd#160](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/160), [nghyd#319](https://gitlab.irstea.fr/cassiopee/nghyd/issues/319))
 * Module Trigonométrie ([jalhyd#161](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/161))
 * Module Somme et produit de puissances ([jalhyd#162](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/162))
 * Loi Déversoir noyé ([jalhyd#165](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/165), [nghyd#318](https://gitlab.irstea.fr/cassiopee/nghyd/issues/318))
 * Logo animé lors du chargement de l'application ([nghyd#322](https://gitlab.irstea.fr/cassiopee/nghyd/issues/322))

#### Correction de bogues
 * MacroRugo: définition de la valeur par défaut de Cd0 à 1.2 ([jalhyd#166](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/166))
 * Échec du calcul en chaîne dans certains cas ([nghyd#325](https://gitlab.irstea.fr/cassiopee/nghyd/issues/325))
 * Remous : suppression de LargeurBerge dans le log ([nghyd#326](https://gitlab.irstea.fr/cassiopee/nghyd/issues/326))
 * Remous : les tirants d'eau critique et normal sont erronés sur le graphique ([nghyd#327](https://gitlab.irstea.fr/cassiopee/nghyd/issues/327))
 * Remous : une fois calculé, chaque rechargement du module ajoute une copie des logs ([nghyd#324](https://gitlab.irstea.fr/cassiopee/nghyd/issues/324))
 * Remous : en fluvial uniquement avec forte pente, les abscisses sont fausses ([nghyd#328](https://gitlab.irstea.fr/cassiopee/nghyd/issues/328))
 * Calcul en chaîne : ERR inopiné dans le tableau de résultats fixes ([nghyd#329](https://gitlab.irstea.fr/cassiopee/nghyd/issues/329))


### 4.7.0 - 2019-10-29 (AGB - Agence Grolandaise pour la Biodiversité)

#### Nouvelles fonctionnalités
 * Solveur multi-modules ([jalhyd#152](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/152), [nghyd#301](https://gitlab.irstea.fr/cassiopee/nghyd/issues/301))
 * Nouvelle loi d'ouvrage: Orifice Dénoyé ([jalhyd#156](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/156), [nghyd#311](https://gitlab.irstea.fr/cassiopee/nghyd/issues/311))
 * Script de déploiement d'une nouvelle version (sur Aubes) ([cassiopee2-integration#9](https://gitlab.irstea.fr/cassiopee/cassiopee2-integration/issues/9))
 * Documentation lois d'ouvrages CEM88 V et D ([nghyd#315](https://gitlab.irstea.fr/cassiopee/nghyd/issues/315))
 * Remous: connecter le ressaut sur un seul point lorsque le ressaut est court (une seule abscisse) ([nghyd#312](https://gitlab.irstea.fr/cassiopee/nghyd/issues/312))

#### Correction de bogues
 * Lois d'ouvrages: bug à l'affichage des résultats variés lorsque le calcul échoue ([jalhyd#163](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/163))
 * PAB : problème de cotes sur les cloisons ([jalhyd#158](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/158))
 * Calcul en chaîne: stopper la chaîne si une erreur survient ([jalhyd#155](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/155))
 * Diagramme de Jet / de Section : problème de rafraîchissement ([nghyd#308](https://gitlab.irstea.fr/cassiopee/nghyd/issues/308))
 * Remous : il manque parfois une abscisse ([jalhyd#147](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/147))

#### Mises à jour de dépendances
 * chartjs-plugin-zoom 0.7.4


### 4.6.1 - 2019-10-15

#### Nouvelles fonctionnalités
 * Suivi des comportements des utilisateurs à l'aide de Matomo (sur Aubes) ([nghyd#306](https://gitlab.irstea.fr/cassiopee/nghyd/issues/306))
 * Documentation: faciliter l'accès à l'application plutôt qu'à GitLab ([nghyd#307](https://gitlab.irstea.fr/cassiopee/nghyd/issues/307))

#### Mises à jour de dépendances
 * chartjs-plugin-zoom 0.7.4

### 4.6.0 - 2019-10-14 (Bluefish délavé)

#### Nouvelles fonctionnalités
 *  Ajout du module Bief ([jalhyd#55](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/55), [nghyd#299](https://gitlab.irstea.fr/cassiopee/nghyd/issues/299))
 * Ajout du module Grille ([jalhyd#114](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/114), [nghyd#289](https://gitlab.irstea.fr/cassiopee/nghyd/issues/289))
 * Ajout du module Impact de Jet ([jalhyd#112](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/112), [nghyd#287](https://gitlab.irstea.fr/cassiopee/nghyd/issues/287))
 * Ajout du module : Pente ([jalhyd#143](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/143), [nghyd#295](https://gitlab.irstea.fr/cassiopee/nghyd/issues/295))
 * Passage des courbes de remous en cotes ([jalhyd#146](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/146), [nghyd#298](https://gitlab.irstea.fr/cassiopee/nghyd/issues/298))
 * SectionParametree: remplacement de Yf et Yt par Ycor ([jalhyd#145](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/145), [nghyd#297](https://gitlab.irstea.fr/cassiopee/nghyd/issues/297))
 * Régime uniforme: ajout de la vitesse moyenne ([jalhyd#139](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/139))
 * Page d'accueil: ajout du logo du pôle (IMFT), remplacement du texte [nghyd#208](https://gitlab.irstea.fr/cassiopee/nghyd/issues/208))
 * Tests e2e sur les messages de langues absents ([nghyd#294](https://gitlab.irstea.fr/cassiopee/nghyd/issues/294))
 * Ajout de la possibilité d'un bouton d'aide dans les résultats ([nghyd#293](https://gitlab.irstea.fr/cassiopee/nghyd/issues/293))
 * Electron : mise à jour automatique ([nghyd#250](https://gitlab.irstea.fr/cassiopee/nghyd/issues/250))
 * Intégration continue : exécution des tests e2e ([nghyd#278](https://gitlab.irstea.fr/cassiopee/nghyd/issues/278))
 * Préférences: applicaton de "precision" et "newtonMaxIter" à la Session en cours ([jalhyd#40](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/40), [nghyd#286](https://gitlab.irstea.fr/cassiopee/nghyd/issues/286))
 * Lorsqu'un paramètre varie, ajout dans le log global d'un résumé des erreurs/avertissements ([jalhyd#140](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/140))

#### Correction de bogues
 * MacroRugo: écart des débits en submergé ([jalhyd#154](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/154))
 * MacroRugo: non convergence du calcul pour les faibles profondeurs ([jalhyd#144](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/144))
 * Remous : crash avec paramètre lié à un résultat non calculé ([jalhyd#151](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/151))
 * Remous : lorsque la longueur du bief n'est pas un multiple du pas de discrétisation, exécuter le calcul sur la dernière abscisse tout de même ([jalhyd#153](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/153))
 * Remous: parfois le premier point de la courbe torrentielle est absent ([jalhyd#148](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/148))
 * Cordova: le zoom sur les graphiques n'est pas réinitialisable ([nghyd#270](https://gitlab.irstea.fr/cassiopee/nghyd/issues/270))
 * Chargement de session : déduire le type de structure (nodeType) de la loi de débit ([nghyd#265](https://gitlab.irstea.fr/cassiopee/nghyd/issues/265))
 * Lechapt-Calmon : effacer les résultats lorsqu'on change de matériau ([nghyd#291](https://gitlab.irstea.fr/cassiopee/nghyd/issues/291))
 * Lois d'Ouvrages: les logs ne s'affichent pas ([jalhyd#120](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/120), [nghyd#284](https://gitlab.irstea.fr/cassiopee/nghyd/issues/284))
 * Lois d'ouvrages: calculer un paramètre enfant en variant la cote aval fait planter les résultats ([nghyd#285](https://gitlab.irstea.fr/cassiopee/nghyd/issues/285))

#### Mises à jour de dépendances
 * chartjs-plugin-zoom 0.7.4
 * ngx-markdown 8.2.1
 * electron 6.0.10

### 4.5.0 - 2019-09-09 (Fish ramps that rock!)

#### Nouvelles fonctionnalités
 * Passe à macro-rugosité complexe ([jalhyd#35](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/35), [nghyd#271](https://gitlab.irstea.fr/cassiopee/nghyd/issues/271))
 * Réorganisation des onglets par glisser-déposer ([nghyd#206](https://gitlab.irstea.fr/cassiopee/nghyd/issues/206))
 * Raccourcis clavier ([nghyd#192](https://gitlab.irstea.fr/cassiopee/nghyd/issues/192))
 * Ajout des graphiques de type "Points" ([nghyd#118](https://gitlab.irstea.fr/cassiopee/nghyd/issues/118))
 * Passe à bassins: Supprimer simultanément plusieurs bassins ([nghyd#269](https://gitlab.irstea.fr/cassiopee/nghyd/issues/269))
 * Sessions exemples ([nghyd#165](https://gitlab.irstea.fr/cassiopee/nghyd/issues/165))
 * Diagrammes des modules de calcul et de leurs liens ([nghyd#140](https://gitlab.irstea.fr/cassiopee/nghyd/issues/140))
 * Amélioration de la précision d'affichage ([nghyd#281](https://gitlab.irstea.fr/cassiopee/nghyd/issues/281), [nghyd#29](https://gitlab.irstea.fr/cassiopee/nghyd/issues/29))
 * Ouverture d'un fichier de session pour chargement&nbsp;: prévenir si le fichier est vide ou mal formé ([nghyd#264](https://gitlab.irstea.fr/cassiopee/nghyd/issues/264))

#### Correction de bogues
 * Lechapt-Calmon&nbsp;: le sélecteur de matériaux n'a plus de sélection par défaut ([nghyd#276](https://gitlab.irstea.fr/cassiopee/nghyd/issues/276))
 * Lechapt-Calmon&nbsp;: enregistrement de la propriété "matériaux" ([jalhyd#138](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/138))
 * Lois d'ouvrages: plantage sur deux paramètres qui varient ([nghyd#273](https://gitlab.irstea.fr/cassiopee/nghyd/issues/273))
 * Passe à bassins: prise en compte de la longueur des bassins dans l'interpolation ([nghyd#268](https://gitlab.irstea.fr/cassiopee/nghyd/issues/268))
 * Passe à bassins: il manque l'édition de la cote de radier de la cloison aval ([nghyd#277](https://gitlab.irstea.fr/cassiopee/nghyd/issues/277))
 * Résultats fixés: l'unité des paramètres calculés n'est pas affichée ([nghyd#274](https://gitlab.irstea.fr/cassiopee/nghyd/issues/274))

### 4.4.2 - 2019-08-06

#### Nouvelles fonctionnalités
 * Boutons d'aide sur tous les éléments graphiques ([nghyd#157](https://gitlab.irstea.fr/cassiopee/nghyd/issues/157))
 * Chargement de session: ouverture automatique du premier module nouvellement chargé
 * Touche Tab dans un champ de saisie: le texte est surligné ([nghyd#259](https://gitlab.irstea.fr/cassiopee/nghyd/issues/259))
 * Simplification des fichiers de session
 * Graphique&nbsp;: afficher tous les paramètres d'une même famille simultanément ([nghyd#246](https://gitlab.irstea.fr/cassiopee/nghyd/issues/246))
 * Réorganisation du format des résultats ([jalhyd#128](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/128))
 * Erreur au chargement de session avec lien sur des paramètres calculés ([nghyd#263](https://gitlab.irstea.fr/cassiopee/nghyd/issues/263))
 * Enregistrement de session partielle avec liens tronqués: enregistrer les valeurs courantes des paramètres ([jalhyd#133](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/133))

#### Correction de bogues
 * Documentation de la passe à Macrorugosités
 * Enregistrement de session: dédoublonner les messages concernant les dépendances
 * nodeType est lu depuis la Section et plus depuis le Nub parent ([jalhyd#124](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/124))
 * Electron / Cordova&nbsp;: script npm pour mettre à jour les mimetypes dans dist/index.html ([nghyd#258](https://gitlab.irstea.fr/cassiopee/nghyd/issues/258))
 * Passe à bassins&nbsp;: traduction
 * Graphiques&nbsp;: ne pas représenter les données de type ENUM ([nghyd#260](https://gitlab.irstea.fr/cassiopee/nghyd/issues/260))
 * Remous&nbsp;: l'itérateur d'abscisses est en retard sur le dessin du graphe ([nghyd#267](https://gitlab.irstea.fr/cassiopee/nghyd/issues/267))


### 4.4.1 - 2019-07-30

#### Nouvelles fonctionnalités
 * Passe à bassins&nbsp;: ajouter un accès rapide aux différents panneaux (table, résultats, graphiques...) pour éviter de faire défiler péniblement ([nghyd#237](https://gitlab.irstea.fr/cassiopee/nghyd/issues/237))
 * Passe à bassins&nbsp;: permettre d'ajouter / dupliquer un ouvrage pour plusieurs cloisons à la fois ([nghyd#243](https://gitlab.irstea.fr/cassiopee/nghyd/issues/243))
 * Passe à bassins&nbsp;: ajouter la nature du jet ([nghyd#245](https://gitlab.irstea.fr/cassiopee/nghyd/issues/245))
 * Lois d'ouvrages: Ne pas écraser les valeurs par défaut du coefficient de débit au changement de loi ([nghyd#225](https://gitlab.irstea.fr/cassiopee/nghyd/issues/225))
 * Lois d'ouvrages: Ajouter le type de jet dans les résultats complémentaires des ouvrages ([jalhyd#92](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/92))
 * Amélioration du titre et de l'icône de l'application ([nghyd#257](https://gitlab.irstea.fr/cassiopee/nghyd/issues/257))

#### Correction de bogues

 * Ne pas exposer les paramètres de cloisons pour les rendre liables ([nghyd#247](https://gitlab.irstea.fr/cassiopee/nghyd/issues/247), [jalhyd#111](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/111))
 * Passe à macro-rugosités&nbsp;: erreur de calcul ([nghyd#247](https://gitlab.irstea.fr/cassiopee/nghyd/issues/247))
 * Passe à bassins&nbsp;: Le journal de calcul ne s'efface pas quand les données d'entrée changent ([nghyd#241](https://gitlab.irstea.fr/cassiopee/nghyd/issues/241))
 * Courbes de remous&nbsp;: les inputs ne sont plus pris en compte ([nghyd#256](https://gitlab.irstea.fr/cassiopee/nghyd/issues/256))
 * Invalidation de calcul bien qu'absence de lien de résultat ([jalhyd#98](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/98))
 * Lois d'ouvrages: Erreur de calcul des lois de seuil / vanne ([jalhyd#118](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/118))
 * Lechapt-Calmon&nbsp;: le sélecteur de matériaux ne charge plus les coefficients, depuis la 4.4.0a ([nghyd#231](https://gitlab.irstea.fr/cassiopee/nghyd/issues/231))
  * Cloisons: Erreur de calcul de la charge ([jalhyd#127](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/127))
 * Cloisons: Erreur de calcul de la cote de radier si la charge est en calcul ([jalhyd#126](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/126))
 * Passe à macro-rugosité: Écart entre le débit calculé et celui du guide technique ([jalhyd#113](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/113))
 * Passe à macro-rugosité: Erreurs de calcul ([jalhyd#85](https://gitlab.irstea.fr/cassiopee/jalhyd/issues/85))
 * Paramètre varié&nbsp;: le champ d'édition de la liste de valeurs s'affiche mal ([nghyd#244](https://gitlab.irstea.fr/cassiopee/nghyd/issues/244))
 * Paramètres liables&nbsp;: parfois le mat-select est trop étroit et on ne sait pas ce qu'on est en train de choisir ([nghyd#248](https://gitlab.irstea.fr/cassiopee/nghyd/issues/248))

#### Mises à jour de dépendances

 * Angular 8.1.2


### 4.4.0 - 2019-07-16 (Basse à Sapins)

#### Nouvelles fonctionnalités

 * Module "Passe à bassins"
 * Plusieurs paramètres peuvent varier simultanément
 * Implémentation de la vanne levante
 * Implémentation de la loi de Villemonte sur les seuils triangulaires et triangulaires tronqués
 * Remplacement de la cote de radier par la charge sur les seuils de cloisons
 * Remplacement de la dichotomie par la méthode de Brent
 * Simplification de la loi Kivi pour les cloisons et les PAB
 * Déploiement avec Electron&nbsp;: paquets installables pour Windows 32 bits et Linux (.deb)
 * Déploiement avec Cordova&nbsp;: paquet .apk (non signé) pour Android
 * Zoom sur les graphiques
 * Bouton d'aide dans la barre de navigation, lorsque la session est vide
 * Carte de bienvenue lorsque la session est vide: logos et mentions légales
 * Système de rapport de bugs par email
 * Paramètres liés: affichage de la valeur, icônes d'information
 * Compilation: allègement de la bibliothèque Mathjax embarquée
 * Magnifique icône en SVG
 * Option pour désactiver les notifications à l'écran
 * Nouveaux tests

#### Correction de bogues

 * Correction erreur de calcul de ZDV
 * Corrections d'erreurs liées au cycle de vie d'Angular
 * Structures en parallèle: interdiction de supprimer le dernier ouvrage
 * Mode plein écran compatible avec les navigateurs plus anciens
 * Amélioration de la robustesse de l'enregistrement / chargement de session
 * Suppression du lissage sur les graphiques de type "scatter"
 * Nettoyage de code
 * Limitation de la précision numérique à différents endroits

### 4.3.0 - 2019-04-12 (Éditions LLL)

#### Nouvelles fonctionnalités

 * Module "Passe à bassin&nbsp;: chute"
 * Module "Passe à bassin&nbsp;: nombre de bassins"
 * Amélioration du filtre de choix des paramètres liables
 * Vérification de la cohérence des paramètres liés au chargement de session
 * Validation et invalidation en cascade des modules de calcul liés
 * Calcul en cascade automatique des modules de calculs liés
 * Transfert de ngHyd vers JaLHyd des mécanismes gérant les états des paramètres des modules de calcul
 * Ajout des tags de version dans le panneau latéral
 * La touche TAB permet de passer directement d'un champ de saisie à un autre
 * Le bouton "+" disparaît sur la page d'accueil

#### Correction de bogues

 * Divers bogues autour des paramètres liés
 * Mise à jour intempestive des paramètres calculés dans le formulaire de saisie
 * Précision d'affichage des données dans les infobulles

### 4.2.0 - 2019-03-11

#### Nouvelles fonctionnalités

 * titres courts pour les modules, suffixe numérique automatique
 * Lechapt-Calmon&nbsp;: amélioration du sélecteur de matériau
 * affichage des valeurs liées
 * détection de la langue du navigateur
 * mémorisation des paramètres par le navigateur
 * mécanisme de langue de secours pour les modules non traduits
 * paramètres variables&nbsp;: courbe d'évolution
 * graphiques de résultats&nbsp;: choix libre de l'abscisse et de l'ordonnée

#### Correction de bogues

 * déplacement de la sérialisation au niveau du modèle (JaLHyd)
 * nouvelle gestion des langues: plus robuste, charge moins de fichiers inutiles, ajout d'un cache
 * meilleure gestion de la session et de la hiérarchie (ouvrages en parallèle / parent)
 * gestion homogène de la touche entrée dans les formulaires&nbsp;: déclenche le calcul
 * la précision Pr est traitée comme un paramètre normal
 * simplification de la gestion des types d'ouvrages
 * désérialisation des ouvrages en parallèle
 * validation des ouvrages en parallèle
 * validation des paramètres variables
 * simplification et suppression de code inutilisé
 * affichage des icônes et polices hors-ligne
 * conservation du type de graphe lorsqu'on change de module
 * ajout de tests exhaustifs sur le calcul des paramètres et le clonage des modules

### 4.1.0 - 2019-02-20

#### Nouvelles fonctionnalités

 * interface&nbsp;: angular-material, angular-flex, charte graphique Irstea
 * nouvelle page de liste, modules groupés par thèmes
 * ajout du module Passe à Enrochement
 * bouton pour vider la session
 * bouton pour cloner un module de calcul
 * fichier de configuration JSON, gestion d'une langue par défaut
 * paramètre variable&nbsp;: amélioration des listes de valeurs
 * affichage des graphiques et des tableaux de résultats en plein écran
 * export des graphiques en PNG
 * export des tableaux de résultats vers Excel
 * utilisation de chaînes pour les UID
 * utilisation de routerLink et des fragments d'URL (#)
 * ajout de tests e2e avec Protractor
 * limitation de la précision dans les graphiques

#### Correction de bogues

 * redirection des URL invalides vers /list
 * chargement de paramètres liés
 * sauvegarde et chargement des valeurs des paramètres
 * IDs uniques dans les champs de formulaires
 * nettoyage du code (tslint)
 * suppression de code inutilisé
 * renommage et simplification de classes
 * amélioration de la traduction

#### Mises à jour de dépendances

 * Angular 7.2
 * Compodoc
 * angular-material
 * angular-flex
 * suppression de MDBootstrap
 * suppression de FontAwesome

### 4.0.0 - 2018-07-23
