# Cunge 80

This flow law corresponds to the equations described by Cunge in his book [1], or in more detail in an article by Mahmood and Yevjevich [2]. This law takes into account the different flow conditions: drowned, dewatered, free surface and loaded as well as the equations [Cemagref 1988](cem_88_d.md), but there is no continuity between free surface and loaded flow conditions. This can lead to computational problems in the vicinity of this transition.

*[1] Cunge, Holly, Verwey, 1980, "Practical aspects of computational river hydraulics", Pitman, p. 169 for weirs and p. 266 for gates*.

*[2] Mahmood K., Yevjevich V., 1975, "Unsteady flow in open channels, Volume 1 and 2", Water resources publications, Fort Collins, USA, 923 p*.
