# Cunge 80

Cette loi de débit correspond aux équations décrites par Cunge dans son livre [1], ou avec plus de détails dans un article de Mahmood et Yevjevich [2]. Cette loi prend en considération les différentes conditions d’écoulement : noyé, dénoyé, à surface libre et en charge tout comme les équations [Cemagref 1988](cem_88_d.md), mais il n’y a aucune continuité entre les conditions d’écoulement à surface libre et en charge. Cela peut entraîner des problèmes de calcul au voisinage de cette transition.

*[1] Cunge, Holly, Verwey, 1980, "Practical aspects of computational river hydraulics", Pitman, p. 169 pour les seuils et p. 266 pour les vannes*

*[2] Mahmood K., Yevjevich V., 1975, "Unsteady flow in open channels, Volume 1 and 2", Water resources publications, Fort Collins, USA, 923 p*
